SP10 with SQL 2012 pre reqs

Dec 18, 2012 at 2:49 PM

We want to install SP10 on a SQL 2012 server, do we need any pre reqs? When we use the script "http://autospinstaller.codeplex.com/releases/view/44442" it will download also SQL 2008 files (ex: SQLSERVER2008_ASADOMD10.msi). Is this correct and can we ignore this, or should we replace the SQL 2008 files with SQL 2012 files?

PrerequisiteInstallerFiles

ADONETDataServices_v15_CTP2_RuntimeOnly.exe
dotnetfx35.exe
iis7psprov_x64.msi
MSChart.exe
MSSpeech_SR_en-US_TELE.msi
rsSharePoint.msi
SpeechPlatformRuntime.msi
sqlncli.msi
SQLSERVER2008_ASADOMD10.msi
Synchronization.msi
Windows6.0-KB968930-x64.msu
Windows6.0-KB974405-x64.msu
Windows6.0-KB976394-x64.msu
Windows6.1-KB974405-x64.msu
Windows6.1-KB976462-v2-x64.msu

Jan 18, 2013 at 2:06 PM
Edited Jan 18, 2013 at 2:07 PM

Hi Koekwoes,

You have all the pre-requisites.  Below are my SP2010 pre-requisites.  I am install SP2010 SP1 with Dec 2012 CU on SP2012.

paul

Feb 20, 2013 at 4:00 PM
You can't run AutoSPInstaller for SP2010 using PowerShell 3. You need to be running in Version 2.
        Start-Process -WorkingDirectory $PSHOME -FilePath "powershell.exe" -Credential $farmCredential -ArgumentList "-Command Start-Process -WorkingDirectory `"'$PSHOME'`" _-version 2_ -FilePath `"'powershell.exe'`" -ArgumentList `"'$scriptFile'`" -Verb Runas" -Wait